> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/~/revisions/AMiYziCllTKB2y2lmONY/network-services/vpn-gateway/api-how-tos/create-ipsec-gateways.md).

# Create IPSec Gateway

The full IPSec Gateway needs to be provided to create the object. Optional data will be filled with defaults or left empty.

To create a IPSec Gateway, perform a `POST` request.

## Endpoint

Use the following endpoint to create IPSec Gateway: `https://vpn.de-fra.ionos.com/ipsecgateways`.

## Request

```bash
curl --location \
--request POST 'https://vpn.de-fra.ionos.com/ipsecgateways' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJraWQiO' \
--header 'Content-Type: application/json' \
--data-raw '{
    "metadata": {},
    "properties": {
        "name": "My Company IPSec Gateway",
        "description": "This gateway connects site A to VDC X.",
        "gatewayIP": "81.173.1.2",
        "connections": [
            {
                "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
                "lanId": "2",
                "ipv4CIDR": "192.168.1.100/24",
                "ipv6CIDR": "2001:0db8:85a3::/24"
            }
        ],
        "version": "IKEv2"
    }
}'

```

{% tabs %}
{% tab title="Request Body Parameters" %}
Below is the list of mandatory body parameters for creating an IPSec Gateway:

| Body Parameters          | Required | Type   | Description                                                              | Example                                                                                                                                           |
| ------------------------ | -------- | ------ | ------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| `metadata`               | no       | object | Metadata                                                                 | `{}`                                                                                                                                              |
| `properties`             | yes      | object | Properties with all data needed to create a new IPSec Gateway.           |                                                                                                                                                   |
| `properties.name`        | yes      | string | The human readable name of your IPSec Gateway.                           | `My Company IPSec Gateway`                                                                                                                        |
| `properties.description` | no       | string | Human readable description of the IPSec Gateway.                         | `This gateway connects site A to VDC X.`                                                                                                          |
| `properties.gatewayIP`   | yes      | string | Public IP address to be assigned to the gateway.                         | `81.173.1.2`                                                                                                                                      |
| `properties.connections` | yes      | array  | The network connection for your gateway.                                 | `[ { "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003", "lanId": "2", "ipv4CIDR": "192.168.1.100/24", "ipv6CIDR": "2001:0db8:85a3::/24" } ]` |
| `properties.version`     | no       | string | The IKE version that is permitted for the VPN tunnels. Default: "IKEv2". | `IKEv2`                                                                                                                                           |
| {% endtab %}             |          |        |                                                                          |                                                                                                                                                   |

{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| Header Parameters | Required | Type   | Description                                                                     |
| ----------------- | -------- | ------ | ------------------------------------------------------------------------------- |
| `Authorization`   | yes      | string | The Bearer token enables requests to authenticate using a JSON Web Token (JWT). |
| `Content-Type`    | yes      | string | Set this to `application/json`.                                                 |
| {% endtab %}      |          |        |                                                                                 |
| {% endtabs %}     |          |        |                                                                                 |

## Response

**201 Successful operation**

```json
{
  "id": "66a114c7-2ddd-5119-9ddf-5a789f5a5a44",
  "type": "ipsecgateway",
  "href": "/ipsecgateways/66a114c7-2ddd-5119-9ddf-5a789f5a5a44",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "status": "AVAILABLE",
    "statusMessage": null
  },
  "properties": {
    "name": "My Company Gateway",
    "description": "This gateway connects site A to VDC X.",
    "gatewayIP": "81.173.1.2",
    "connections": [
      {
        "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
        "lanId": "2",
        "ipv4CIDR": "192.168.1.100/24",
        "ipv6CIDR": "2001:0db8:85a3::/24"
      }
    ],
    "version": "IKEv2"
  }
}
```

{% hint style="success" %}
**Result:** The IPSec Gateway is successfully created. the `id` and other details of the created IPSec Gateway are provided in the response.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/~/revisions/AMiYziCllTKB2y2lmONY/network-services/vpn-gateway/api-how-tos/create-ipsec-gateways.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
